Jump to content
Sign in to follow this  
adventuremaui

Feature Slider stops functioning when Ubermenu Plugin is active

Recommended Posts

adventuremaui
http://adventureinhawaii.com/wordpress/ Just starting to play with Platform Pro. Feature Sliders don't work when the Uber Menu plugin is active. The first image of the feature set is displayed, but it will not play and navigation icons don't show up. The Feature Slider works when Uber Menu Plugin is deactivated, but it will not play when the plugin is activated, even if no Uber Menu is applied to the main nav. Just noticed this affects the Carousel too.

Share this post


Link to post
Share on other sites
adventuremaui

Received an email from Uber Menu ... Actually, you have two errors. The first is due to the use of your minifier/compressor. It has compressed the UberMenu javascripts that are intended to be included in the footer and put them in the header instead. As this places the script before the wpmegasettings variable is defined, you get an error. You should either load your script in the footer or exclude UberMenu from the compression process. The second error is due to your theme calling the superfish() jQuery plugin on a non-existent element (because it has been replaced by UberMenu). The solution is to remove the offending (and now unnecessary) code, which looks like this (and I expect is in your header.php file): <script type="text/javascript"> /* <![CDATA[ */ jQuery(document).ready(function() { jQuery('ul.sf-menu').superfish({ delay: 100, speed: 'fast', autoArrows: 1, dropShadows: 1 }); }); /* ]]> */ </script> This resolved the issue!

Share this post


Link to post
Share on other sites
Rob
Many plugins don't work within our platform or themes, which is why we suggest a list of those we're designed to work with in the Welcome tab of each theme we offer. It is not a Wordpress authorized plugin and not contained in the list provided at http://www.wordpress.org/extend/plugins. Personally, I don't recommend plugins that are not tested by Wordpress themselves for compatibility, particularly ones that charge a fee because they usually are not well updated by their authors or have serious conflicts with other plugins or themes. Please consider using only authorized plugins that Wordpress has tested. Even then conflicts may occur.

Former PageLines Moderator, Food Expert and Raconteur

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

Sign in to follow this  

×